Version 1.2.4 -> Version 1.2.5 (2000.01.09)

 * ALSA-pcmV2 に対応しました。(by 村田さん)
 * joystick に対応しました。(linux 2.2.x only) (by 村田さん)
 * doc/README.music updated
 * doc/README.joystick added
 * doc/GRFMT.TXT updated
 * NUM KEY のリターンを効くようにしました。(thanx田尻さん)
 * 3bytes / pixel の X server で誤動作していたのを直しました。
   エラーがでて起動できない場合は 32 bpp で X を起動して下さい。
 * (1.2.5-1)
   doc/README.color updated
   上の 3ybtes/1pixel のチェックで落ちていたのを直しました。


Version 1.2.3 -> Version 1.2.4 (1999.11.20)

 * ママトトでのサウンド回りの不具合を直しました。(by 村田さん)
 * ALSA 関連をupdateしました。(by 村田さん)
 * 王道勇者でのオープニングや選択肢ウィンドなどの表示がおかしかったのを
 なおしました。
 * エンディアンが異なるセーブデータのチェックをいれました。
 * 不正なゲームリソースファイル(*.gr)チェックを強化しました。
 * Hushaby-Baby 仮対応
 * セーブデータのパスのみ ~ を評価するようにしました。詳しくは
 doc/GRFMT.TXT を御覧下さい。
 * DARCROWS 仮対応(主に画面効果に未対応)


Version 1.2.2 -> Version 1.2.3 (1999.8.3)

 * ママトトでゲームオーバー・ゲームクリアすると異常終了するのを直しました。
 * ALSA Ver 0.3.2 のミキサーまわりがコンパイル出来なかったのを直しました。
 (thanx 村田さん)


Version 1.2.1 -> Version 1.2.2 (1999.7.18)

 * ママトトに対応しました。
 * 条件式で真偽がおかしくなるときがあったのを直しました。
  (very thanx 田尻さん)
 * BGR な X Server でCGの明度指定がおかしかったのをなおしました。
 * for loop で一度も回らない時の挙動をオリジナルと同じにしました。
 * かえるにょぱにょーんで、オープニングの後のホワイトフェーダが
  おかしかったのをなおしました。
 * ALSAのミキサー回りを改良しました。Ver 0.3.2でもOKです。(thanx 村田さん)
 * AliceCD Ver 1.02 に収録のゲームの一部に対応しました。


Version 1.2 -> Version 1.2.1 (1999.6.5)

 * CX1コマンドを使ったゲームを24bppで動かした時、おかしかったのを直しました。
 * 8bitのゲームを24bppで動かした時、ホワイトフェーダがおかしかったのを
 なおしました。
 * RGBのピクセルの並びが BGR な X Server (SGI/Sparc系)に対応しました。
  (see README.color)
 * ぱすちゃのオープニングがカクカクしてたのを直しました。
 * ぱすちゃのスタッフロールが、まだ一部のXの深さでおかしかったのを直しました。
 * XF68_FBDevの16bpp(実際には15bpp)モードに対応しました。


Version 1.1.8 -> Version 1.2 (1999.5.23)

 * MIDIが使用不可の場合に、未定義コマンドエラーで落ちる事があったのを
 直しました。(thanx 田尻さん) 
 * music.c の共有メモリのところを少し変更しました。
 * DefaultDepth=8でも15/24bitのWindowが作れるXサーバーに対応しました。


Version 1.1.8 -> Version 1.1.9 (1999.5.17)

 * 8bppのゲームをXが8bit以外の画面モードで動かす時、少し高速化しました。
 * ぱすてるチャイムのスタッフロールがおかしかったのを直しました。
 * 特に system3.5 のゲームで、いろいろと不具合が出ていたのを直しました。


Version 1.1.7 -> Version 1.1.8 (1999.5.15)

 * OSS mixer で左右のチャンネルの設定がちゃんとできていないのを直しました。
 * Message Skip を ON にするとキーが効きにくくなっていたのを直しました。
 * データファイルにないデータを読み出そうとすると落ちるのを直しました。
 * メッセージ内を透過にしたときに、メッセージ領域の保存がおかしかったのを
  直しました。(thanx 田尻さん)
 * X が 256色モードの時に、6万色モードのゲームを起動できないようにしました。
 * 1.1.7 でたまに sigterm でプロセスが落ちる事があるのを直しました。


Version 1.1.6 -> Version 1.1.7 (1999.5.9)

 * esd 関係の config を clean up しました。
 * music.c を polling から message queue によるプロセス間通信を行なうように
しました。
 * cdrom.mp3.c まわりを clean up しました。
 * cdrom_stop() を STOP ではなく PAUSE を行なうようにしました。
 * X のイベント周りをちょっとだけ変えてみました。


Version 1.1.5 -> Version 1.1.6 (1999.5.5)

 * MIDI pause/unpause に対応しました。(thanx 田尻さん)
 * 1.1.5 の MG コマンド系でエンバグしていて、ぱすてるチャイムで表示がおかしく
 なっていたのをなおしました。
 * TOTOさんのランス 4.1 移植キットが動くようになったかな？(thanx TOTOさん)
 * 高精度カウンタが仕様と違っていたのをなおしました。(ZT 10,0)
 * ぱすてるチャイムで、キーボード操作すると異常終了するシナリオのバグに対応
 しました。
 * Linux以外のaudioIO*.cがコンパイルできなくなっていたのを直しました。
 * Xが 15bit モードの時、色がおかしかったのをなおしました。
 * AmbivalenZ for Win95版でパレットがおかしかったり、ゲームの進行がおかし
  かったのを直しました。(thanx 田尻さん)
 * ぱすてるチャイムで、12/25のセレスとのイベントで止まる事があるのを
 直しました。(thanx 田尻さん)
 * 256色BMPファイルを読み込んだ時パレットが破壊される事があるのを
 直しました。(thanx 田尻さん)


Version 1.0.6 -> Version 1.0.7 (1999.4.29)

 * 1.0.6 での MG コマンドがエンバグしている可能性があるので直しました。
 * X が 15bit モードの時、色がおかしかったのをなおしました。
 * AmbivalenZ for Win95版でパレットがおかしかったり、ゲームの進行がおかし
  かったのを直しました。(thanx 田尻さん)
 * TOTOさんのランス 4.1 移植キットが動くようになったかな？(thanx TOTOさん)


Version 1.1.4 -> Version 1.1.5 (1999.4.18)

 * ぷろすちゅーでんとGOODでオープニングが一部おかしいのをなおしました。
 * 見たCGとは違うCGが登録されてしまうのを直しました。
 * Enlightened Sound Daemon(esd)に対応しました。詳しくは config.h を
  御覧下さい。(thanx 田尻さん)
 * CD-DA の代わりに mp3 file を鳴らすことが出来るようになりました。
  詳しくは cdrom.mp3.c を御覧下さい。(thanx 村田さん/田尻さん)
 * 1.1.4では、Atlach-Nacha がうまく動かなくなってしまっていたのを直しました。
 * MGコマンドを駆使するゲームで(NV-miniなど)、一部おかしくなるのを直しました。
 * 一部の機能(MIDI pause/unpause, 名前の変更)を除いて、守り神様がうごくように
  なりました。


Version 1.0.5 -> Version 1.0.6 (1999.4.18)

 * 見たCGとは違うCGが登録されてしまうのを直しました。
 * MGコマンドを駆使するゲームで(NV-miniなど)、一部おかしくなるのを直しました。


Version 1.0.4 -> Version 1.0.5 (1999.4.5)

 * Ver 1.0.4でcontrib/ doc/ 以下のファイルが抜けていたのを直しました。
 * 部分セーブ/部分ロードで潜在的なバグをなおしました。


Version 1.1.3 -> Version 1.1.4 (1999.3.28)

 * 鬼畜王ランスで、PCMの左右合成をした後メモリを解放し忘れていたのを直しました。
 * ぱすてるチャイムのシナリオのバグに対応しました。(README.pastel 参照)
 * ALSAでコンパイルが通らなかったのを直しました。
 * ぷろすちゅーでんとGOODで戦闘が一部おかしいのをなおしました。
 * mixerまわりをちょっと変えました。
 * NVSYSTEM-miniを使用したゲームで初期化の文字列がおかしくなるのを直しました。


Version 1.0.3 -> Version 1.0.4 (1999.3.25)

 * NetBSDでコンパイル出来なかったのを直しました。
 * 鬼畜王ランスで、PCMの左右合成をした後メモリを解放し忘れていたのを直しました。


Version 1.1.2 -> Version 1.1.3 (1999.3.8)

 * ぷろすちゅ〜でんとGOODで、ミキサーやCGサイズなど、いろいろと不具合が起きる
 のをなおしました。


Version 1.0.2 -> Version 1.0.3 (1999.2.27)

 * 零式・闘神都市２・ぱにょんにて、おそらくND?の演算がおかしくなっていると思う
  のを直しました。
 * 闘神都市２で、PCMの後で再び固まるのを直しました。


Version 1.1.1 -> Version 1.1.2 (1999.2.23)

 * 闘神都市２で、PCMの後で再び固まるのを直しました。
 * Mixer操作を追加しました。(未テスト)
 * ゲーム中にWindowManagerのCloseボタンを押すと終了確認のウィンドを出すように
  しました。


Version 1.1.0 -> Version 1.1.1 (1999.2.14)

 * 零式やアトラクナクアで、選択ウィンドにてカーソルが選択肢以外の場所にある時に
 右クリックで抜けると落ちるバグをなおしました。
 * 零式・闘神都市２・ぱにょんにて、おそらくND?の演算がおかしくなっていると思う
  のを直しました。
 * 動作確認環境に NetBSD(1.3I) を追加しました。
 * XのイベントハンドリングをVer1.0の状態にもどしました。
 * ぱすてるチャイム と ぷろすちゅーでんとGood がとりあえず動くようになり
 ました。(Mixer操作はまだ)
 * ALSA に対応しました。(config.hを見て下さい)
 * ゲーム中にマウスの真中のボタンを押す事で、メッセージスキップなどが出来る
  ようになりました。


Version 1.0.1 -> Version 1.0.2 (1999.2.13)

 * 零式やアトラクナクアで、選択ウィンドにてカーソルが選択肢以外の場所にある時に
 右クリックで抜けると落ちるバグをなおしました。
 * 動作確認環境に NetBSD(1.3I) を追加しました。


Version 1.0 -> Version 1.1.0 (1999.1.28)

 * 鬼畜王ランスのオープニングでパレットがおかしかったのを直しました。
 * ATLACH-NACHA などで PCM の後ハングアップするのを直しました。
 * 1.0pre3のbmp256.cへの修正が全然機能していなかったのをなおしました。
 * Xのイベントハンドラを改良(？)してみました
 * 開発版(1.1.x)と安定版(1.0.x)にブランチを分けました。


Version 1.0 -> Version 1.0.1 (1999.1.28)

 * 鬼畜王ランスのオープニングでパレットがおかしかったのを直しました。
 * ATLACH-NACHA などで PCM の後ハングアップするのを直しました。
 * 1.0pre3のbmp256.cへの修正が全然機能していなかったのをなおしました。
 * 開発版(1.1.x)と安定版(1.0.x)にブランチを分けました。


Version 1.0pre3 -> Version 1.0 (1999.1.23)

 * 256色のゲームを16/24bppでやったとき、フェードインの最終レベルがちょっと
  暗かったのを直しました。
 * マウスカーソルのスムーズ移動をサポートしました。
 * 王道勇者・ディアボリカに対応しました。
 * 256色bmpのパレットがおかしかったのをなおしました。
 * かえるにょぱにょ〜んで、思い出モードに入ると固まるシナリオのバグに
  対応しました。
 * かえるにょぱにょ〜んで、選択ウィンドの文字の色がおかしいのを直しました。
 * 闘神都市など、フェード時におかしい動作をするのを直しました。


Version 1.0pre2 -> Version 1.0pre3 (1999.1.16)

 * ドキュメントに名前の間違いがあったのをなおしました。
 * Imakefileの間違いで xmkmf -a がうまく動かなかったのをなおしました。
 * 外部MIDIプレイヤーの設定を .xsys35 でも指定できるようになりました。
  (thanx 村田さん)
 * 闘神都市IIなどで落ちる不具合を直しました。
 * グラフィック系コマンドの範囲チェックを強化しました。
 * かえるにょぱにょ〜んで「捕獲ロープ」がやっぱり買えなかったのを直しました。
 * 闘神都市IIなどで選択文字列がちょっとずれるのを直しました。


Version 1.0pre1 -> Version 1.0pre2 (1999.1.13)

 * WindowsBMPの読み込みに対応しました。(thanx 田尻さん)
 * Rance1のMIDIとCGのデータを逆にインストールしていた(rance1.inf)のを直しま
  した。
 * 外部MIDI演奏の方法をより汎用的なものにしました。(thanx 村田さん)
 * Rance2でセーブデータを繰り返すとまずい事になるのを直しました。
 * pre1でフェーダを改良した時にいくつか埋め込んだバグを直しました。
 * -gamefile を指定しない場合、カレントからデータファイルを読み込むように
  しました。(thanx 田尻さん)
 * cdromのデフォルトの演奏モードを TRKIND から MSF 指定に戻しました。
 * Imakefileに対応しました。


BETA-19981227 -> Version 1.0pre1 (1999.1.6)

 * COPYINGがGPLではなくLGPLだったのをこっそり差し替えました。 ;-)
 * ATLACH-NACHA、人間狩り、零式に対応しました。(多謝 田尻さん)
 * 24/32bit displayで色がおかしくなるのを修正しました。
 * Rance2の異常シナリオの対策をしました。
 * 16/24/32bppでフェードインアウトの方法を変えました。
 * MIDIファイルがテンポラリに残っていたのを消すようにしました。


BETA-19981114 -> BETA-19981227

 * 異なるエンディアン間でディスプレイを飛ばした時の不具合を直しました。
 * 戦巫女と、アリスの館４５６に入っている移植ゲーム６本に対応しました。
 * 闘神都市IIで家具を購入した時、一部おかしくなるのを直しました。
 * かえるにょぱにょ〜んで「捕獲ロープ」が買えなかったのを直しました。
 * いけないかつみ先生でメッセージウィンドの退避がおかしかったのを直しました。


BETA-19981024 -> BETA-19981114

 * フォントの設定を、XSystem35.ad というリソースファイルから、.xsys35rc へと
  変更しました。他にもいくつかの設定を .xsys35rcで行なうようにしました。
 * Xtを使わなくなりました。よっていくつかのプラットフォーム用のMakefileから
  -lSM -lICEがなくなりました。
 * 終了確認のウィンドが開く時、8bitでも色化けしないようにしました。
 * CD-ROMのioctlエラーの際のリトライの間隔を指定できるようにしました。
  (see cdrom.h)
 * 鬼畜王ランスや闘神都市IIなど、8bitでしか正常にプレイできなかったゲームも
  16/24bitで正常に出来るようになりました。
 * かえるにょぱにょ〜んに対応しました。
 * 16bitのFadeIn/Outがすこしだけ速くなりました。
 * 闘神都市IIで名前の変更ができるようになりました。(一部制限あり see README)
 * 闘神都市IIのロードの選択肢で、最後の方が切れていたのを直しました。
 * -devcd/-devdspオプションに、明示的にそのデバイスを使用しないキーワード(none)
  を指定できるようにしました。
 * music.cでプロセス間通信が競合状態になるのを直しました。

BETA-19981011 -> BETA-19981024

 * xsystem35の window上に他のwindowが重なっていた時、xsystem35の方に
  フォーカスが当たっていなくてもマウスのクリック情報がxsystem35に渡ってしまう
  不具合を直しました。
 * cd-romとdspのデバイス名を指定できるオプションをつけました。(-devcd, -devdsp)
 * 一部文字が半角カタカナで表示されるのを修正しました。
 * 24bppでフェードインとホワイトインがおかしかったのを修正しました。
 * cdrom deviceで ioctl err の際、何回かretryするようにしました。
 * cdrom の演奏モードをデフォルトで MSF指定から TRKIND指定にしました。
  (see cdrom.h)
 * 闘神都市IIでラグナード迷宮28Fに行くと、そのあと先にすすまなくなる不具合を
  直しました。


BETA-19981001 -> BETA-19981011

 * FreeBSDで dsp.c がコンパイルできないバグを直しました。
 * FreeBSD/OpenBSD でOS依存のライブラリがリンクされなかったのを直しました。
 * いくつかのファイルの属性がおかしかったのを直しました。
 * FreeBSDでPCMが鳴らないバグを修正しました。
 * 闘神都市IIで資格迷宮に入る時 <コツ コツ コツ> と共に固まるバグを修正しました
 * -no-shmで起動したりSharedMemoryが十分でない場合、** ERROR **: sigsegv caught
 で落ちるのを修正しました。
 * BigEndian系でのいくつかの不具合を直しました。
 * SharedMemoryが十分で無い場合、終了時にIPCキーが残る場合があるのを修正しまし
 た。
 * FreeBSD 2.2.1Rなどで dsp.c がコンパイルできないのを修正しました。


BETA-19981001

 * 最初のβリリース


ALPHA-19980705

 * 最初のαリリース
